主页 > 知识库 > 网络编程 > Ruby >

如何快速正确的安装 Ruby, Rails 运行环境

来源:ruby-china 作者:网络 发表于:2012-06-20 09:45  点击:
对于新入门的开发者,如何安装 Ruby, Ruby Gems 和 Rails 的运行环境可能会是个问题,本页主要介绍如何用一条靠谱的路子快速安装 Ruby 开发环境。 次安装方法同样适用于产品环境! 系统需求 首先确定操作系统环境,不建议在 Windows 上面搞,所以你需要用: Ma
对于新入门的开发者,如何安装 Ruby, Ruby Gems 和 Rails 的运行环境可能会是个问题,本页主要介绍如何用一条靠谱的路子快速安装 Ruby 开发环境。
次安装方法同样适用于产品环境!

系统需求

首先确定操作系统环境,不建议在 Windows 上面搞,所以你需要用:
  • Mac OS X
  • 任意 Linux 发行版本(Ubuntu,CentOS, Redhat, ArchLinux ...)
以下代码区域,带有 $ 打头的表示需要在控制台(终端)下面执行(不包括 $ 符号)

步骤0 - 安装系统需要的包

Mac 请安装 Xcode 开发工具,它将帮你安装好 Unix 环境需要的开发包

Ubuntu 安装,开发包

$ sudo apt-get install wget vim build-essential openssl libreadline6 libreadline6-dev curl git-core zlib1g zlib1g-dev libssl-dev libyaml-dev libxml2-dev libxslt-dev autoconf automake libtool imagemagick libpcre3-dev

步骤1 - 安装 RVM

RVM 是干什么的这里就不解释了,后面你将会慢慢搞明白。
$ curl -L get.rvm.io | bash -s stable
等待一段时间后就可以成功安装好 RVM。
$ source ~/.bash_profile
测试是否安装正确
$ rvm -v
rvm 1.9.2 by Wayne E. Seguin (wayneeseguin@gmail.com) [https://rvm.beginrescueend.com/]

步骤2 - 用 RVM 安装 Ruby 环境

$ rvm pkg install readline
$ rvm install 1.9.2 --with-readline-dir=$rvm_path/usr
或者可以安装 1.8.7 版本,也可以是 1.9.3,只要将后面的版本号跟换一下就可以了
同样继续等待漫长的下载,编译过程,完成以后,Ruby, Ruby Gems 就安装好了。

步骤3 - 设置 Ruby 版本

RVM 装好以后,需要执行下面的命令将指定版本的 Ruby 设置为系统默认版本
$ rvm 1.9.2 --default
同样,也可以用其他版本号,前提是你有用 rvm install 安装过那个版本
这个时候你可以测试是否正确
$ ruby -v
ruby 1.9.2p290 (2011-07-09 revision 32553) [x86_64-darwin10.8.0]

$ gem -v
1.8.6

$ gem source -r http://rubygems.org/
$ gem source -a http://ruby.taobao.org

步骤4 - 安装 Rails 环境

上面 3 步过后,Ruby 环境就安装好了,接下来安装 Rails
$ gem install bundler rails
然后测试安装是否正确
$ bundle -v
Bundler version 1.0

$ rails -v
Rails 3.2.1

    有帮助
    (1)
    100%
    没帮助
    (0)
    0%
  • 上一篇:没有了
  • 下一篇:Ruby 开发工具